
Robotics Service Bus - Enhancement #2201
Add display name to introspection
03/13/2015 12:20 PM - J. Wienke

Status: Resolved Start date: 03/13/2015
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Introspection Estimated time: 0.00 hour
Target version: rsb-0.12
Description

Add an optional field to the introspection protocol for applications to specify a hand-crafted display name to improve readability. This
name should not be set by applications themselves, but should be injectable via RSB options so that system administrators can
defined it from the outside, e.g. via vdemo.

The name should be passed into the system via the introspection.displayname config variable.
To implement in:
    -  protocol
    -  cpp
    -  java
    -  python
    -  cl
    -  cl tools
    -  manual

Associated revisions
Revision 497539dd - 03/13/2015 03:09 PM - J. Wienke

Support display names for introspection

refs #2201

Revision 90bde683 - 03/13/2015 03:12 PM - J. Wienke

Add display_name to Process

A user-defined name for a process which is better to understand for
system maintainers.

refs #2201

Revision fe4a036c - 03/13/2015 03:31 PM - J. Wienke

Add support for introspection display name

Adds the ability to pass a display name from the configuration to the
introspection.

    -  Factory: parse display name from config and pass to introspection code
    -  IntrospectionParticipantObserver: pass through display name to
                                    ProtocolHandler
    -  ProtocolHandler: accept display name and include in messages if set

refs #2201

Revision 11437aa4 - 03/13/2015 04:30 PM - J. Wienke

Support introspection display names

Adds support for including a display name in the introspection messages.

    -  IntrospectionSender: accept and send out a display name
    -  Plugin: grab the display name from the rsb config and pass it to the sender

refs #2201

Revision c5c18ccf - 03/26/2015 11:56 AM - J. Moringen

Show process display name in introspect/print.lisp

refs #2201

    -  introspect/print.lisp (print-process-info-markup): show the display
  name of the process if there is one

Revision 989b2391 - 03/26/2015 04:21 PM - J. Moringen

Support process display name in src/introspection/*.lisp

refs #2201

    -  src/introspection/model.lisp (process-info::display-name): new slot;
  stores display name for the process
  (print-items append process-info): use display name, if available
  (current-process-info): obtain display name from global configuration
  and store in created `process-info' instance

    -  src/introspection/conversion.lisp
  (define-introspection-converter hello): (de)serialize display name

    -  src/introspection/remote-introspection.lisp
  (ensure-process integer host-entry process-info): store display name
  in create `remote-process-info' instance

    -  src/introspection/package.lisp (header): updated copyright
  (package rsb.introspection): added exported symbol
  process-info-display-name

    -  test/introspection/model.lisp
  (define-simple-model-class-tests process-info): test :display-name
  initarg
  (test introspection-model-process-info-root::current-process-info/smoke):
  check display name
Revision e4c4cfd2 - 03/26/2015 05:06 PM - J. Moringen

Mention introspection display name in *.rst

refs #2201

    -  news.rst (RSB 0.12): mention new introspection display name field
    -  specification-config.rst (Name-value Pairs): added entry for

  introspection.displayname

Revision 1292653a - 03/27/2015 04:11 PM - J. Wienke

Support introspection display names

Adds support for including a display name in the introspection messages.

    -  IntrospectionSender: accept and send out a display name
    -  Plugin: grab the display name from the rsb config and pass it to the sender

refs #2201

Revision 45ef8620 - 03/27/2015 04:13 PM - J. Moringen

refs #2201: Added introspection displayname

Merge branch 'enhancement-2201'

Revision 45f278b8 - 03/27/2015 04:17 PM - J. Wienke

Support display names for introspection

refs #2201

Revision dbbc89a0 - 03/27/2015 04:20 PM - J. Moringen

refs #2201: Added introspection displayname

Merge branch 'enhancement-2201'

Revision af75cd8d - 03/27/2015 04:26 PM - J. Wienke

refs #2201: Add support for introspection display name

Adds the ability to pass a display name from the configuration to the
introspection.

    -  Factory: parse display name from config and pass to introspection code
    -  IntrospectionParticipantObserver: pass through display name to
                                    ProtocolHandler
    -  ProtocolHandler: accept display name and include in messages if set

Revision 6bb550ac - 03/27/2015 06:19 PM - J. Wienke

Support introspection display names

Adds support for including a display name in the introspection messages.

    -  IntrospectionSender: accept and send out a display name
    -  Plugin: grab the display name from the rsb config and pass it to the sender

refs #2201

Revision 4f8ecfc8 - 03/27/2015 06:23 PM - J. Moringen

refs #2201: Added introspection displayname

Revision 6d8d4dc8 - 03/31/2015 04:40 PM - J. Wienke

Add display_name to Process

A user-defined name for a process which is better to understand for
system maintainers.

refs #2201

(cherry picked from commit 90bde68385b96da198737845a98ceba3ff91aa2c)

Revision 4b421ffd - 03/31/2015 04:41 PM - J. Wienke

refs #2201: Add support for introspection display name

Adds the ability to pass a display name from the configuration to the
introspection.

    -  Factory: parse display name from config and pass to introspection code
    -  IntrospectionParticipantObserver: pass through display name to

                                    ProtocolHandler
    -  ProtocolHandler: accept display name and include in messages if set

(cherry picked from commit af75cd8d09efa23d6116959fc1ca4e9ea0b60b54)

Revision 9a4abad1 - 03/31/2015 04:45 PM - J. Moringen

refs #2201: Added introspection displayname

Merge branch 'enhancement-2201'
(cherry picked from commit dbbc89a0a5c7de56505f52388c1512abe26a6ff7)

Revision accda7c0 - 03/31/2015 04:50 PM - J. Moringen

refs #2201: Added introspection displayname

(cherry picked from commit 4f8ecfc860af769e83a25e2d00c2796a71bfcc77)

Revision 02251645 - 03/31/2015 09:14 PM - J. Moringen

Backport: Support process display name in src/introspection/*.lisp

refs #2201

    -  src/introspection/model.lisp (process-info::display-name): new slot;
  stores display name for the process
  (print-items append process-info): use display name, if available
  (current-process-info): obtain display name from global configuration
  and store in created `process-info' instance

    -  src/introspection/conversion.lisp
  (define-introspection-converter hello): (de)serialize display name

    -  src/introspection/remote-introspection.lisp
  (ensure-process integer host-entry process-info): store display name
  in create `remote-process-info' instance

    -  src/introspection/package.lisp (header): updated copyright
  (package rsb.introspection): added exported symbol
  process-info-display-name

    -  test/introspection/model.lisp
  (define-simple-model-class-tests process-info): test :display-name
  initarg
  (test introspection-model-process-info-root::current-process-info/smoke):
  check display name

History
#1 - 03/13/2015 12:34 PM - J. Wienke
- Description updated

#2 - 03/13/2015 04:33 PM - J. Wienke
- Description updated
- % Done changed from 0 to 70

#3 - 03/13/2015 04:34 PM - J. Wienke

Jan, can you have a look at this, and if the concept is ok, implement the missing bits in CL, so that we can merge this to the master. Everything is
pushed in related feature branches.

#4 - 03/13/2015 04:35 PM - J. Wienke
- Status changed from New to In Progress
- Assignee changed from J. Wienke to J. Moringen

03/13/2024 5/6



#5 - 03/13/2015 07:25 PM - J. Moringen
- Description updated

#6 - 03/13/2015 07:32 PM - J. Moringen
- Description updated
- % Done changed from 70 to 60

#7 - 03/14/2015 01:48 AM - J. Moringen

I can commit the cl, cl tools and manual parts tomorrow.

#8 - 03/14/2015 01:48 AM - J. Moringen

The other changes look fine, please push.

#9 - 03/26/2015 05:06 PM - J. Moringen
- Description updated
- Assignee changed from J. Moringen to J. Wienke
- % Done changed from 60 to 90

#10 - 03/27/2015 04:28 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 90 to 100
